<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/vfile_status_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/03/84  vfile_status_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in vfile_status_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: vfile_status_: 02/03/84  vfile_status_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: returns various items of information about a file supported
<span id="L12" class="LineNr">12 </span>by the vfile_ I/O module.
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Syntax:
<span id="L16" class="LineNr">16 </span>declare vfile_status_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr">17 </span>call vfile_status_ <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>Arguments:
<span id="L21" class="LineNr">21 </span>dir_name
<span id="L22" class="LineNr">22 </span>   is the pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L23" class="LineNr">23 </span>entryname
<span id="L24" class="LineNr">24 </span>   is the entryname of the file of interest.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> If the entry is a
<span id="L25" class="LineNr">25 </span>   link, the information returned pertains to the entry to which it
<span id="L26" class="LineNr">26 </span>   points.
<span id="L27" class="LineNr">27 </span>info_ptr
<span id="L28" class="LineNr">28 </span>   is a pointer to the structure in which information is to be
<span id="L29" class="LineNr">29 </span>   returned.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> See &quot;File information&quot; below.
<span id="L30" class="LineNr">30 </span>code
<span id="L31" class="LineNr">31 </span>   is a storage system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>File information:
<span id="L35" class="LineNr">35 </span>The info_ptr argument points to one of the following structures which
<span id="L36" class="LineNr">36 </span>are all declared in the include file vfs_info.incl.pl1.
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>For unstructured files, use the uns_info structure.
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>For sequential files, use the seq_info structure.
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>For blocked files, use the blk_info structure.
<span id="L43" class="LineNr">43 </span>
<span id="L44" class="LineNr">44 </span>For indexed files, use the indx_info structure.
<span id="L45" class="LineNr">45 </span>
<span id="L46" class="LineNr">46 </span>
<span id="L47" class="LineNr">47 </span>Notes:  The user must provide the storage space required by the above
<span id="L48" class="LineNr">48 </span>structures.  The following declaration:
<span id="L49" class="LineNr">49 </span>
<span id="L50" class="LineNr">50 </span>        dcl info aligned like indx_info;
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>will provide the necessary space for the largest of the structures.
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>See the description of the vfile_ I/O module for further details.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
